#### Description:

This function compares two null terminated strings for equality, discounting differences in case and any trailing white space in either string.

#### Synopsis

int astChrMatch( const char ∗str1, const char ∗str2 )

#### Parameters:

##### str1

Pointer to the first string.

##### str2

Pointer to the second string.

#### Returned Value

##### astChrMatch()

Non-zero if the two strings match, otherwise zero.

#### Notes:

- A value of zero is returned if this function is invoked with the global error status set or if it should fail for any reason.

Copyright (C) 2021 East Asian Observatory